Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::TexMat Class Reference

A texture matrix state class that encapsulates OpenGL texture matrix functionality. More...

Inheritance diagram for osg::TexMat:

[legend]
List of all members.

## Public Member Functions
| TexMat ()
| TexMat (const TexMat &texmat, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, TexMat, TEXMAT)
virtual bool | isTextureAttribute () const
| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit.
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMatrix (const Matrix &matrix)
| Set the texture matrix.
Matrix & | getMatrix ()
| Get the texture matrix.
const Matrix & | getMatrix () const
| Get the const texture matrix.
virtual void | apply (State &state) const
| Apply texture matrix to OpenGL state.
## Protected Member Functions
virtual | ~TexMat (void)
## Protected Attributes
Matrix | _matrix

## Detailed Description

A texture matrix state class that encapsulates OpenGL texture matrix functionality.

## Constructor & Destructor Documentation

osg::TexMat::TexMat | ( |  | ) |

osg::TexMat::TexMat | ( | const TexMat & | texmat,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::TexMat::~TexMat | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::TexMat::apply | ( | State & | state | ) | const`[virtual]`

| Apply texture matrix to OpenGL state. Implements osg::StateAttribute.

virtual int osg::TexMat::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

const Matrix& osg::TexMat::getMatrix | ( |  | ) | const`[inline]`

| Get the const texture matrix.

Matrix& osg::TexMat::getMatrix | ( |  | ) | `[inline]`

| Get the texture matrix.

virtual bool osg::TexMat::isTextureAttribute | ( |  | ) | const`[inline, virtual]`

| Return true if StateAttribute is a type which controls texturing and needs to be issued w.r.t to specific texture unit. Reimplemented from osg::StateAttribute.

osg::TexMat::META_StateAttribute | ( | osg | ,
|  | TexMat | ,
|  | TEXMAT |
| ) |

void osg::TexMat::setMatrix | ( | const Matrix & | matrix | ) | `[inline]`

| Set the texture matrix.

## Member Data Documentation

Matrix osg::TexMat::_matrix`[protected]`

The documentation for this class was generated from the following file:

- TexMat